curl --request PUT \
--url https://api.messaging.phonovation.com/people/3/lists/{listName} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"item_field_#1": "some value",
"item_field_#2": 42
},
{
"item_field_#1": "some value"
}
]
'import requests
url = "https://api.messaging.phonovation.com/people/3/lists/{listName}"
payload = [{
"item_field_#1": "some value",
"item_field_#2": 42
}, { "item_field_#1": "some value" }]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/3/lists/{listName}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("[\n {\n \"item_field_#1\": \"some value\",\n \"item_field_#2\": 42\n },\n {\n \"item_field_#1\": \"some value\"\n }\n]", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/people/3/lists/{listName}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"item_field_#1\": \"some value\",\n \"item_field_#2\": 42\n },\n {\n \"item_field_#1\": \"some value\"\n }\n]")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/3/lists/{listName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'item_field_#1' => 'some value',
'item_field_#2' => 42
],
[
'item_field_#1' => 'some value'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{'item_field_#1': 'some value', 'item_field_#2': 42},
{'item_field_#1': 'some value'}
])
};
fetch('https://api.messaging.phonovation.com/people/3/lists/{listName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"item_field_#1": "some value"
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"item_field_#1": "some value",
"item_field_#2": 42
}
]Replace a list
Replaces all items in a list attribute and returns all items of the updated list.
Required scope: Enable one of: people:manage.
curl --request PUT \
--url https://api.messaging.phonovation.com/people/3/lists/{listName} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"item_field_#1": "some value",
"item_field_#2": 42
},
{
"item_field_#1": "some value"
}
]
'import requests
url = "https://api.messaging.phonovation.com/people/3/lists/{listName}"
payload = [{
"item_field_#1": "some value",
"item_field_#2": 42
}, { "item_field_#1": "some value" }]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/3/lists/{listName}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("[\n {\n \"item_field_#1\": \"some value\",\n \"item_field_#2\": 42\n },\n {\n \"item_field_#1\": \"some value\"\n }\n]", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/people/3/lists/{listName}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"item_field_#1\": \"some value\",\n \"item_field_#2\": 42\n },\n {\n \"item_field_#1\": \"some value\"\n }\n]")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/3/lists/{listName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'item_field_#1' => 'some value',
'item_field_#2' => 42
],
[
'item_field_#1' => 'some value'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{'item_field_#1': 'some value', 'item_field_#2': 42},
{'item_field_#1': 'some value'}
])
};
fetch('https://api.messaging.phonovation.com/people/3/lists/{listName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"item_field_#1": "some value"
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"item_field_#1": "some value",
"item_field_#2": 42
}
]Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Name of the list attribute.
1Query Parameters
Type of the person ID. Can be one of the above.
ID, EXTERNAL_ID, PHONE, EMAIL, LINE, FACEBOOK, TELEGRAM, PUSH, LIVE_CHAT, VIBER_BOTS, INSTAGRAM, INSTAGRAM_DM, TWITTER, APPLE_BUSINESS_CHAT, KAKAO_SANGDAM, OPEN_CHANNEL, ZALO_FOLLOWER, TIKTOK_BM, WHATSAPP, KAKAO_TALK Person ID. ID type must match the type parameter.
1Sender or application ID.sender is required for all identifier types except ID, EXTERNAL_ID, PHONE, EMAIL
Body
Response
Success